com.io7m.jtensors

## Interface VectorWritable3DType

- All Superinterfaces:
    VectorWritable2DType
  All Known Subinterfaces:
    PVector3DType<T>, PVector4DType<T>, PVectorByteBuffered3DType<T>, PVectorByteBuffered4DType<T>, PVectorWritable3DType<T>, PVectorWritable4DType<T>, Quaternion4DType, QuaternionByteBuffered4DType, QuaternionWritable4DType, Vector3DType, Vector4DType, VectorByteBuffered3DType, VectorByteBuffered4DType, VectorWritable4DType
  All Known Implementing Classes:
    PVectorByteBufferedM3D, PVectorByteBufferedM4D, PVectorM3D, PVectorM4D, QuaternionByteBufferedM4D, QuaternionM4D, VectorByteBufferedM3D, VectorByteBufferedM4D, VectorM3D, VectorM4D

      public interface VectorWritable3DType
      extends VectorWritable2DType

  'Write' interface to three-dimensional vectors with `double` elements.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `copyFrom3D(VectorReadable3DType in_v)` Set the current vector to the contents of the input vector.
    `void` | `set3D(double x, double y, double z)` Set the current `x`, `y` and `z` values of the current vector.
    `void` | `setZD(double z)` Set the current `z` value of the current vector.

    - ### Methods inherited from interface com.io7m.jtensors.VectorWritable2DType

      `copyFrom2D, set2D, setXD, setYD`

- - ### Method Detail

    - #### copyFrom3D

          void copyFrom3D(VectorReadable3DType in_v)

      Set the current vector to the contents of the input vector.
      Parameters:
        `in_v` - The input vector

    - #### set3D

          void set3D(double x,
                     double y,
                     double z)

      Set the current `x`, `y` and `z` values of the current vector.
      Parameters:
        `x` - The new `x` value.
        `y` - The new `y` value.
        `z` - The new `z` value.

    - #### setZD

          void setZD(double z)

      Set the current `z` value of the current vector.
      Parameters:
        `z` - The new `z` value.

Copyright © 2015 <code@io7m.com> http://io7m.com